%define _use_internal_dependency_generator 0

Summary: Cflow perl module
Name: perl-Cflow
Version: 1.051
Release: 3gls
License: distributable
Group: Applications/CPAN
Source0: Cflow-%{version}.tar.gz
Patch0: Cflow-1.051-ft.patch
Url: http://www.cpan.org
BuildRoot: /var/tmp/perl-Cflow-buildroot/
BuildRequires: perl >= 5.6, flow-tools-devel >= 0.67
Requires: perl >= 5.6 flow-tools >= 0.67

%description
Cflow is a perl module providing an API for reading and analyzing raw flow files written by freely-available software packages such as argus, cflowd, flow-tools, and lfapd.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Cflow-%{version} 
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > Cflow-%{version}-filelist
if [ "$(cat Cflow-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Cflow-%{version}-filelist
%defattr(-,root,root)

%changelog
* Mon Apr 25 2005 Gabriel Somlo <somlo@acns.colostate.edu>
- add dependency on flow-tools, modified makefile to detect flow-tools rpm

* Mon Jul 19 2004 Gabriel Somlo <somlo@acns.colostate.edu>
- stop building as noarch -- we have an .so file that's very much arch !
- debug package generation is now back on

* Wed Jul 15 2004 Gabriel Somlo <somlo@acns.colostate.edu>
- swiped and adapted spec file from some other perl-Foo.spec in Fedora 2
- turn off (unsuccessful) attempt at generating debug package
